<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
* Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
* Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Standard Java SE Project Properties Dialog Box: Creating Javadoc</title>
	<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
<h2>Standard Java SE Project Properties Dialog Box: Documenting </h2>
<p> <small><a href="#seealso">See Also</a>&nbsp; </small> 
<p>The Documenting  panel 
  	enables you to configure how the IDE generates Javadoc documentation for your
classes. You open the Standard Java SE Project Properties dialog box by right-clicking
	any
   <object classid="java:com.sun.java.help.impl.JHSecondaryViewer">
  		<param name="content" value="./glossary_standard.html">
  		<param name="viewerActivator" value="javax.help.LinkLabel">
  		<param name="viewerStyle" value="javax.help.Popup">
  		<param name="viewerSize" value="400,220">
  		<param name="text" value="standard Java SE project">
  		<param name="textFontSize" value="medium">
  		<param name="textFontFamily" value="SansSerif">
  		<param name="textFontStyle" value="italic">
  		<param name="textFontWeight" value="bold">
  		<param name="textColor" value="blue">
  </object>
&nbsp;and choosing Properties. 
<p>On the Documenting panel, you can configure the following options: 
<ul>
  <li><strong>Include Private and Package Private Members</strong>. If selected, Javadoc will be generated for all members, including private ones. This option is unselected by default, because Javadoc is generated only for public members. </li>
  <li>Use the checkboxes in the <strong>Generate</strong> section to choose the elements to include in the generated HTML document, such as index, navigation bar, class hierarchical tree, etc. </li>
  <li><strong>Document Additional Tags</strong>. The tags listed are not documented by default. To document them, select the corresponding checkbox. </li>
  <li> <strong>Browser Window Title</strong>. Enter the  title to be placed in the <tt>&lt;title&gt;</tt> tag of the generated HTML document. This title will be displayed in the browser window used to view the generated document. This checkbox corresponds to the <tt>-windowtitle</tt> Javadoc option. </li>
  <li><strong>Additional Javadoc Options</strong>. If needed, add additional Javadoc options separated with a space. </li>
  <li><strong>Preview Generated Javadoc</strong>. If selected, the generated document opens automatically in your default browser window. 
  </li>
</ul>
<p>For more information on generating Javadoc documentation, see:
<p><object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
    <param name="content" value="http://java.sun.com/javase/6/docs/technotes/tools/solaris/javadoc.html">
    <param name="text" value="<html><u>http://java.sun.com/javase/6/docs/technotes/tools/solaris/javadoc.html</u></html>">
    <param name="textFontSize" value="medium">
    <param name="textColor" value="blue">
  </object> 
<dl>
    <dt><a name="seealso">See Also</a></dt>
    <dd><a href="../../project/proj_stand_about.html">About Standard Projects</a></dd>
    <dd><a href="../proj_free_about.html">About Free-Form Projects</a> </dd>
    <dd>Standard Java SE Project Properties Dialog Box:</dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="proj_j2sestand_props_sources.html">Sources</a></dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="proj_j2sestand_props_libraries.html">Libraries</a></dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="proj_j2sestand_props_compiling.html">Compiling</a></dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="proj_j2sestand_props_packaging.html">Packaging</a> </dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="proj_j2sestand_props_run.html">Run</a></dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="proj_j2sestand_props_common-app.html">Application</a></dd>        
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="proj_j2sestand_props_webstart.html">Web Start</a></dd>
    <dd>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="proj_j2sestand_props_formatting.html">Formatting</a></dd>
</dl>

<hr><small><a href="../../credits.html">Legal Notices</a></small>

<table border="0" cellpadding="20">
<tr><td>&nbsp;</td></tr>
<tr><td>&nbsp;</td></tr>
<tr><td>&nbsp;</td></tr>
</table></body>
</html>
